using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour
{
    [SerializeField] private GameObject _carre;
    [SerializeField] private Sprite[] _sprites;
    private int _compteur = 0;

    void Start()
    {
        Debug.Log("Hello World");
    }

    private void Update()
    {
    }

    public void Animer() {
        if(_compteur==0)
        {
            InvokeRepeating("ChangerSprite", 0f, 0.5f); 
        }
    }

    private void ChangerSprite()
    {
        _compteur++;
        int n = Random.Range(0,10);
        _carre.GetComponent<SpriteRenderer>().sprite = _sprites[n];
        if(_compteur==10)
        {
            CancelInvoke("ChangerSprite");
            _compteur = 0;
        }
    }
}